import NAMESPACE from './namespace'
const namespace = name => `${NAMESPACE}.${name}`
let actions = {
  USER_GET: 'user.get',
  USER_SET: 'user.set',
  USER_LOGIN: 'user.login',
  USER_LOGOUT: 'user.logout',
  PKG_GET: 'pkg.get',
  PKG_SET: 'pkg.set',
  PKG_PUBLISH: 'pkg.publish',
  TEST: 'test'
}
for (let key in actions) {
  actions[key] = namespace(actions[key])
}
export default actions
